   PROGRAM Main

    IMPLICIT NONE

    INTEGER :: N;

    N = 1001;

    PRINT *, "Before parallel section: N = ", N

!$OMP PARALLEL PRIVATE(N)
     N = N + 1
     PRINT *, "Inside parallel section: N = ", N
!$OMP END PARALLEL

    PRINT *, "After parallel section: N = ", N

   END PROGRAM
